Status: Closed
Priority: Normal
Assignee: Brandon Weeks
Category: DHCP
Target version: 1.10.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/339
Description

When trying to delete an nonexistent host via omshell the ISC DHCP proxy an exception is raised and an error returned to Foreman.
This causes issues with Host::Managed.populate_fields_from_facts.

Related issues:
Related to Smart Proxy - Bug #12465: ISC DHCP proxy fails to parse deleted en... Closed 11/13/2015

Associated revisions

Revision f24be74d - 11/16/2015 09:01 AM - Brandon Weeks
Fixes #12469 - raise Proxy::DHCP::InvalidRecord

Raise Proxy::DHCP::InvalidRecord if delRecord is called on a nonexistant record by looking for the ‘omshell error.

History

#1 - 11/13/2015 06:33 AM - Dominic Cleal

Note that Foreman deliberately ignores a 404 HTTP response from the smart proxy during DHCP record deletion, expecting a 404 to be given if
there's no such record to delete. I've not checked yet whether this has changed in the proxy between versions.

#2 - 11/13/2015 06:54 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/339 added

#3 - 11/16/2015 06:34 AM - Dominic Cleal
- Related to Bug #12465: ISC DHCP proxy fails to parse deleted entires added

#4 - 11/16/2015 06:35 AM - Dominic Cleal

- translation missing: en.field_release deleted (63)

Removing from the 1.10.0 blockers as it seems to stem entirely from the linked bug, where a deleted entry is still being picked up and so dhcp_api
doesn't return with a 404 early.

#5 - 11/16/2015 09:03 AM - Dominic Cleal
- Assignee set to Brandon Weeks

- translation missing: en.field_release set to 104

Leaving on .1 so we've got more time to soak test this change. The regression (#12465) needs to go in sooner as it'll fix more than this will.

#6 - 11/16/2015 10:01 AM - Brandon Weeks
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://projects.theforeman.org/issues/12465

Applied in changeset {24be74d8{51f44aa8730769d2e468683804254c¢.
